
import 'package:flutter/material.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../generated/l10n.dart';
import '../widgets/desktop/desktop_new_user.dart';
import '../widgets/general/bottom_nav.dart';
import '../widgets/general/breadcrumbs.dart';
import '../widgets/general/navigationbar.dart';
import '../widgets/mobile/MobileBottomNav.dart';
import '../widgets/mobile/mobile_new_user.dart';

class NewUser extends StatelessWidget {
  const NewUser({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
        Scaffold(
          appBar: MiniNavigationBar(
            title: S.of(context).registration,
            back: true,
            breadCrumbs: [
              BreadCrumb(S.of(context).registration, null),
            ],
            breadCrumbHeight: sizingInformation.deviceScreenType == DeviceScreenType.mobile ? null : Constants.BREADCRUMB_HEIGHT,
          ),
          drawer: null,
          body: ScreenTypeLayout(
            mobile: MobileNewUser(),
            tablet: DesktopNewUser(),
            desktop: DesktopNewUser(),
          ),
          bottomNavigationBar: ScreenTypeLayout(
            mobile: MobileBottomNav(currentIndex: 0,),
            tablet: BottomNav(),
            desktop: BottomNav(),
          ),
        ),
    );
  }

}